For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Category

Retrieve a specific category by providing the category ID. A list of categories and their IDs is returned by Get Categories.

Get specific category

get

Gets information about a category and returns the packages in that category.

Path parameters
basketIdentstringRequired

The basket identifier.

Example: c00244-d2ac2e77418a55b25292a6bc7a719ad9c529ba2c
Responses
200

Successful response returns the category without package information.

application/json
get/categories/{categoryId}
GET /api/accounts/categories/{categoryId} HTTP/1.1
Host: headless.tebex.io/
Accept: */*
200

Successful response returns the category without package information.

{
  "data": [
    {
      "id": 2678660,
      "name": "Test",
      "slug": "text",
      "parent": {},
      "tiered": false,
      "active_tier": {
        "id": 40796,
        "created_at": "2025-05-14T13:48:56.000000Z",
        "username_id": "text",
        "package": {
          "id": 6276316,
          "name": "test package 101",
          "description": "<p>this is just a test. only a test. nothing more.</p>",
          "image": null,
          "type": "single",
          "category": {
            "id": 2678660,
            "name": "Packages"
          },
          "base_price": 5,
          "sales_tax": 0,
          "total_price": 5,
          "currency": "USD",
          "prorate_price": 1,
          "discount": 0,
          "disable_quantity": false,
          "disable_gifting": false,
          "expiration_date": null,
          "media": [],
          "order": 1,
          "slug": "text",
          "user_limit": 1,
          "creator_meta_data": {},
          "options": [],
          "variables": [],
          "created_at": "2024-05-21T18:09:17+00:00",
          "updated_at": "2024-05-21T18:09:17+00:00"
        },
        "active": true,
        "recurring_payment_reference": "tbx-r-757925142",
        "next_payment_date": "2025-06-14T13:48:56+00:00",
        "status": {
          "id": 2,
          "description": "Active"
        },
        "pending_downgrade_package": {
          "id": 6834820,
          "name": "Bronze"
        }
      },
      "description": "text",
      "packages": [
        {
          "id": 6276316,
          "name": "test package 101",
          "description": "<p>this is just a test. only a test. nothing more.</p>",
          "image": null,
          "type": "single",
          "category": {
            "id": 2678660,
            "name": "Packages"
          },
          "base_price": 5,
          "sales_tax": 0,
          "total_price": 5,
          "currency": "USD",
          "prorate_price": 1,
          "discount": 0,
          "disable_quantity": false,
          "disable_gifting": false,
          "expiration_date": null,
          "media": [],
          "order": 1,
          "slug": "text",
          "user_limit": 1,
          "creator_meta_data": {},
          "options": [],
          "variables": [],
          "created_at": "2024-05-21T18:09:17+00:00",
          "updated_at": "2024-05-21T18:09:17+00:00"
        }
      ],
      "order": 1,
      "display_type": "list",
      "image_url": null,
      "dynamic": false
    }
  ]
}

Last updated